<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>postamat-office documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	    <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">postamat-office documentation</a>
            <button type="button" class="btn btn-default btn-menu fa fa-bars" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
            <div id="book-search-input" role="search">
                <input type="text" placeholder="Type to search">
            </div>
            <nav>
            
                <ul class="list">
            
                    <li class="title">
                        <a href="./">postamat-office documentation</a>
                    </li>
            
                    <li class="divider"></li>
            
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./"><span class="fa fa-home"></span>Getting started</a>
                        <ul class="links">
                                <li class="link">
                                    <a href="./" ><span class="fa fa-file-text-o"></span>README</a>
                                </li>
                                <li class="link">
                                    <a 
                                        
                                         href="./overview.html" 
                                         href="./overview.html" 
                                        >
                                        <span class="fa fa-th"></span>Overview
                                    </a>
                                </li>
                        </ul>
                    </li>
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./modules.html" >
                            <span class="fa fa-archive"></span>
                            <span>Modules</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-modules-links"
                            ></span>
                        </a>
                        <ul class="links collapse in"
                                id="xs-modules-links"
                            >
                                <li class="link">
                                    <a href="modules/AboutModule.html" >AboutModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/AppModule.html" >AppModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/AuthModule.html" >AuthModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/HomeModule.html" >HomeModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/I18nModule.html" >I18nModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/SharedModule.html" >SharedModule</a>
                                </li>
                                <li class="link">
                                    <a href="modules/ShellModule.html" >ShellModule</a>
                                </li>
                        </ul>
                    </li>
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-cogs"></span>
                            <span>Components</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-components-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-components-links"
                            >
                                <li class="link">
                                    <a href="components/AboutComponent.html" >AboutComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/AppComponent.html" >AppComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/AppSidebarComponent.html" >AppSidebarComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/HeaderComponent.html" >HeaderComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/HomeComponent.html" >HomeComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/LanguageSelectorComponent.html" >LanguageSelectorComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/LoaderComponent.html" >LoaderComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/LoginComponent.html" >LoginComponent</a>
                                </li>
                                <li class="link">
                                    <a href="components/ShellComponent.html" >ShellComponent</a>
                                </li>
                        </ul>
                    </li>
            
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-file-code-o"></span>
                            <span>Classes</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-classes-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-classes-links"
                            >
                                <li class="link">
                                    <a href="classes/Logger.html" >Logger</a>
                                </li>
                                <li class="link">
                                    <a href="classes/MockAuthenticationService.html" >MockAuthenticationService</a>
                                </li>
                                <li class="link">
                                    <a href="classes/MockCredentialsService.html" >MockCredentialsService</a>
                                </li>
                                <li class="link">
                                    <a href="classes/Shell.html" >Shell</a>
                                </li>
                        </ul>
                    </li>
            
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-long-arrow-down"></span>
                            <span>Injectables</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-injectables-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-injectables-links"
                            >
                                <li class="link">
                                    <a href="injectables/ApiPrefixInterceptor.html" >ApiPrefixInterceptor</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/AuthenticationGuard.html" >AuthenticationGuard</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/AuthenticationService.html" >AuthenticationService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/CredentialsService.html" >CredentialsService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/ErrorHandlerInterceptor.html" >ErrorHandlerInterceptor</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/I18nService.html" >I18nService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/QuoteService.html" >QuoteService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/RouteReusableStrategy.html" >RouteReusableStrategy</a>
                                </li>
                        </ul>
                    </li>
            
                    <li class="chapter">
                        <div class="simple">
                            <span class="fa fa-info"></span>
                            <span>Interfaces</span>
                            <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                    data-target="#xs-interfaces-links"
                                ></span>
                        </div>
                        <ul class="links collapse in"
                                id="xs-interfaces-links"
                            >
                                <li class="link">
                                    <a href="interfaces/Credentials.html" >Credentials</a>
                                </li>
                                <li class="link">
                                    <a href="interfaces/LoginContext.html" >LoginContext</a>
                                </li>
                                <li class="link">
                                    <a href="interfaces/RandomQuoteContext.html" >RandomQuoteContext</a>
                                </li>
                        </ul>
                    </li>
            
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./miscellaneous.html"  class="active" ><span class="fa fa-cubes"></span>Miscellaneous</a>
                    </li>
            
                    <li class="chapter">
                        <a data-type="chapter-link" href="./coverage.html" ><span class="fa fa-tasks"></span>Documentation coverage</a>
                    </li>
            
                    <li class="divider"></li>
                    <li class="copyright">
                            Documentation generated using <a href="https://compodoc.github.io/compodoc/" target="_blank">
                                        <img src=".//images/compodoc-vectorise.svg" class="img-responsive">
                            </a>
                    </li>
            
                </ul>
            
            </nav>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <nav>
                   
                       <ul class="list">
                   
                           <li class="title">
                               <a href="./">postamat-office documentation</a>
                           </li>
                   
                           <li class="divider"></li>
                   
                               <div id="book-search-input" role="search">
                                   <input type="text" placeholder="Type to search">
                               </div>
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./"><span class="fa fa-home"></span>Getting started</a>
                               <ul class="links">
                                       <li class="link">
                                           <a href="./" ><span class="fa fa-file-text-o"></span>README</a>
                                       </li>
                                       <li class="link">
                                           <a 
                                               
                                                href="./overview.html" 
                                                href="./overview.html" 
                                               >
                                               <span class="fa fa-th"></span>Overview
                                           </a>
                                       </li>
                               </ul>
                           </li>
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./modules.html" >
                                   <span class="fa fa-archive"></span>
                                   <span>Modules</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#modules-links"
                                   ></span>
                               </a>
                               <ul class="links collapse in"
                                       id="modules-links"
                   >
                                       <li class="link">
                                           <a href="modules/AboutModule.html" >AboutModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/AppModule.html" >AppModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/AuthModule.html" >AuthModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/HomeModule.html" >HomeModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/I18nModule.html" >I18nModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/SharedModule.html" >SharedModule</a>
                                       </li>
                                       <li class="link">
                                           <a href="modules/ShellModule.html" >ShellModule</a>
                                       </li>
                               </ul>
                           </li>
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-cogs"></span>
                                   <span>Components</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#components-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="components-links"
                   >
                                       <li class="link">
                                           <a href="components/AboutComponent.html" >AboutComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/AppComponent.html" >AppComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/AppSidebarComponent.html" >AppSidebarComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/HeaderComponent.html" >HeaderComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/HomeComponent.html" >HomeComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/LanguageSelectorComponent.html" >LanguageSelectorComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/LoaderComponent.html" >LoaderComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/LoginComponent.html" >LoginComponent</a>
                                       </li>
                                       <li class="link">
                                           <a href="components/ShellComponent.html" >ShellComponent</a>
                                       </li>
                               </ul>
                           </li>
                   
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-file-code-o"></span>
                                   <span>Classes</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#classes-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="classes-links"
                   >
                                       <li class="link">
                                           <a href="classes/Logger.html" >Logger</a>
                                       </li>
                                       <li class="link">
                                           <a href="classes/MockAuthenticationService.html" >MockAuthenticationService</a>
                                       </li>
                                       <li class="link">
                                           <a href="classes/MockCredentialsService.html" >MockCredentialsService</a>
                                       </li>
                                       <li class="link">
                                           <a href="classes/Shell.html" >Shell</a>
                                       </li>
                               </ul>
                           </li>
                   
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-long-arrow-down"></span>
                                   <span>Injectables</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#injectables-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="injectables-links"
                   >
                                       <li class="link">
                                           <a href="injectables/ApiPrefixInterceptor.html" >ApiPrefixInterceptor</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/AuthenticationGuard.html" >AuthenticationGuard</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/AuthenticationService.html" >AuthenticationService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/CredentialsService.html" >CredentialsService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/ErrorHandlerInterceptor.html" >ErrorHandlerInterceptor</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/I18nService.html" >I18nService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/QuoteService.html" >QuoteService</a>
                                       </li>
                                       <li class="link">
                                           <a href="injectables/RouteReusableStrategy.html" >RouteReusableStrategy</a>
                                       </li>
                               </ul>
                           </li>
                   
                           <li class="chapter">
                               <div class="simple">
                                   <span class="fa fa-info"></span>
                                   <span>Interfaces</span>
                                   <span class="menu-toggler fa fa-angle-up" data-toggle="collapse"
                                           data-target="#interfaces-links"
                   ></span>
                               </div>
                               <ul class="links collapse in"
                                       id="interfaces-links"
                   >
                                       <li class="link">
                                           <a href="interfaces/Credentials.html" >Credentials</a>
                                       </li>
                                       <li class="link">
                                           <a href="interfaces/LoginContext.html" >LoginContext</a>
                                       </li>
                                       <li class="link">
                                           <a href="interfaces/RandomQuoteContext.html" >RandomQuoteContext</a>
                                       </li>
                               </ul>
                           </li>
                   
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./miscellaneous.html"  class="active" ><span class="fa fa-cubes"></span>Miscellaneous</a>
                           </li>
                   
                           <li class="chapter">
                               <a data-type="chapter-link" href="./coverage.html" ><span class="fa fa-tasks"></span>Documentation coverage</a>
                           </li>
                   
                           <li class="divider"></li>
                           <li class="copyright">
                                   Documentation generated using <a href="https://compodoc.github.io/compodoc/" target="_blank">
                                               <img src=".//images/compodoc-vectorise.svg" class="img-responsive">
                                   </a>
                           </li>
                   
                       </ul>
                   
                   </nav>
               </div>
               <div class="content miscellaneous">
                   <div class="content-data">









<ol class="breadcrumb">
  <li>Miscellaneous</li>
</ol>

    <section>
        <h3 id="inputs">Variables</h3>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> log</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>log:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> log</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>log:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> log</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>log:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> credentialsKey</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>credentialsKey:     <code></code>
    </bcode>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Default value: </i><code>credentials</code>
                            </td>
                        </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> log</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>log:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> routes</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>routes:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> log</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>log:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> languageKey</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>languageKey:     <code></code>
    </bcode>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                <i>Default value: </i><code>language</code>
                            </td>
                        </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> icons</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>icons:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> env</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>env:     <code>{ [s: string]: string; }</code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> environment</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>environment:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> environment</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>environment:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> require</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>require:     <code>{ context(path: string, deep?: boolean, filter?: RegExp): { &lt;T&gt;(id: string): T; keys(): string[];...</code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table table-sm table-bordered">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <b> context</b>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <code>context:     <code></code>
    </bcode>
                        </td>
                    </tr>
                </tbody>
            </table>
    </section>



                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
           </div>
       </div>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/search/search.js"></script>
       <script src="./js/search/lunr.min.js"></script>
       <script src="./js/search/search-lunr.js"></script>

       <script src="./js/menu.js"></script>
       <script src="./js/libs/highlight.pack.js"></script>
       <script src="./js/libs/highlightjs-line-numbers.min.js"></script>
       <script src="./js/search/search_index.js"></script>
       <script>
            document.addEventListener('DOMContentLoaded', function() {
                hljs.initHighlightingOnLoad();
                hljs.initLineNumbersOnLoad();
            });
       </script>

    </body>
</html>
